<section class="nevis-account-personal  grid-indent">

  <section class="nevis-account-personal__avatar  dwfe-form" spellcheck="false">
    <h2 id="account_personal_avatar">{{app.i18n('title_avatar', i18n)}}</h2>

    <storage-avatar></storage-avatar>

  </section>

  <mat-divider></mat-divider>

  <section class="dwfe-form" spellcheck="false">
    <h2 id="account_personal_info">{{app.i18n('title_info', i18n)}}</h2>

    <div class="nevis-account-personal__inner-personal-wrap  nevis-account__element-indent">

      <div class="nevis-account-personal__inner-personal">

        <div class="nevis-account__group">
          <dwfe-form-control-input-text class="nevis-account__group-control"
                                        [labelText]="app.i18n('nick_name', i18n)"
                                        (takeControl)="cNickName=$event"></dwfe-form-control-input-text>

          <dwfe-form-control-toggle class="nevis-account__group-vis-checker"
                                    [hintTrue]="app.i18n('hint_true', i18n)"
                                    [hintFalse]="app.i18n('hint_false', i18n)"
                                    [markIfChanged]="true"
                                    [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                                    [saveEdit$]="subjSaveEdit_Info.asObservable()"
                                    (takeControl)="tNickName=$event"
                                    (takeIsChanged)="nickNameNonPublic_changed=$event"></dwfe-form-control-toggle>
        </div>

        <div class="nevis-account__group">
          <dwfe-form-control-input-text class="nevis-account__group-control"
                                        [labelText]="app.i18n('first_name', i18n)"
                                        [markIfChanged]="true"
                                        [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                                        [saveEdit$]="subjSaveEdit_Info.asObservable()"
                                        (takeControl)="cFirstName=$event"
                                        (takeIsChanged)="firstName_changed=$event"></dwfe-form-control-input-text>

          <dwfe-form-control-toggle class="nevis-account__group-vis-checker"
                                    [hintTrue]="app.i18n('hint_true', i18n)"
                                    [hintFalse]="app.i18n('hint_false', i18n)"
                                    [markIfChanged]="true"
                                    [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                                    [saveEdit$]="subjSaveEdit_Info.asObservable()"
                                    (takeControl)="tFirstName=$event"
                                    (takeIsChanged)="firstNameNonPublic_changed=$event"></dwfe-form-control-toggle>
        </div>

        <div class="nevis-account__group">
          <dwfe-form-control-input-text class="nevis-account__group-control"
                                        [labelText]="app.i18n('middle_name', i18n)"
                                        [markIfChanged]="true"
                                        [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                                        [saveEdit$]="subjSaveEdit_Info.asObservable()"
                                        (takeControl)="cMiddleName=$event"
                                        (takeIsChanged)="middleName_changed=$event"></dwfe-form-control-input-text>

          <dwfe-form-control-toggle class="nevis-account__group-vis-checker"
                                    [hintTrue]="app.i18n('hint_true', i18n)"
                                    [hintFalse]="app.i18n('hint_false', i18n)"
                                    [markIfChanged]="true"
                                    [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                                    [saveEdit$]="subjSaveEdit_Info.asObservable()"
                                    (takeControl)="tMiddleName=$event"
                                    (takeIsChanged)="middleNameNonPublic_changed=$event"></dwfe-form-control-toggle>
        </div>

        <div class="nevis-account__group">
          <dwfe-form-control-input-text class="nevis-account__group-control"
                                        [labelText]="app.i18n('last_name', i18n)"
                                        [markIfChanged]="true"
                                        [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                                        [saveEdit$]="subjSaveEdit_Info.asObservable()"
                                        (takeControl)="cLastName=$event"
                                        (takeIsChanged)="lastName_changed=$event"></dwfe-form-control-input-text>

          <dwfe-form-control-toggle class="nevis-account__group-vis-checker"
                                    [hintTrue]="app.i18n('hint_true', i18n)"
                                    [hintFalse]="app.i18n('hint_false', i18n)"
                                    [markIfChanged]="true"
                                    [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                                    [saveEdit$]="subjSaveEdit_Info.asObservable()"
                                    (takeControl)="tLastName=$event"
                                    (takeIsChanged)="lastNameNonPublic_changed=$event"></dwfe-form-control-toggle>
        </div>

        <div class="nevis-account__group">
          <dwfe-form-control-select class="nevis-account__group-control"
                                    [labelText]="app.i18n('gender', i18n)"
                                    [markIfChanged]="true"
                                    [items]="gendersList"
                                    [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                                    [saveEdit$]="subjSaveEdit_Info.asObservable()"
                                    (takeControl)="cGender=$event"
                                    (takeIsChanged)="gender_changed=$event"></dwfe-form-control-select>

          <dwfe-form-control-toggle class="nevis-account__group-vis-checker"
                                    [hintTrue]="app.i18n('hint_true', i18n)"
                                    [hintFalse]="app.i18n('hint_false', i18n)"
                                    [markIfChanged]="true"
                                    [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                                    [saveEdit$]="subjSaveEdit_Info.asObservable()"
                                    (takeControl)="tGender=$event"
                                    (takeIsChanged)="genderNonPublic_changed=$event"></dwfe-form-control-toggle>
        </div>

      </div>

      <div class="nevis-account-personal__inner-personal">

        <div class="nevis-account__group">
          <dwfe-form-control-date-picker class="nevis-account__group-control"
                                         [labelText]="app.i18n('date_of_birth', i18n)"
                                         [markIfChanged]="true"
                                         [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                                         [saveEdit$]="subjSaveEdit_Info.asObservable()"
                                         (takeControl)="cDateOfBirth=$event"
                                         (takeIsChanged)="dateOfBirth_changed=$event"></dwfe-form-control-date-picker>

          <dwfe-form-control-toggle class="nevis-account__group-vis-checker"
                                    [hintTrue]="app.i18n('hint_true', i18n)"
                                    [hintFalse]="app.i18n('hint_false', i18n)"
                                    [markIfChanged]="true"
                                    [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                                    [saveEdit$]="subjSaveEdit_Info.asObservable()"
                                    (takeControl)="tDateOfBirth=$event"
                                    (takeIsChanged)="dateOfBirthNonPublic_changed=$event"></dwfe-form-control-toggle>
        </div>

        <div class="nevis-account__group">
          <dwfe-form-control-select class="nevis-account__group-control"
                                    [labelText]="app.i18n('country', i18n)"
                                    [markIfChanged]="true"
                                    [items]="countriesList"
                                    [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                                    [saveEdit$]="subjSaveEdit_Info.asObservable()"
                                    (takeControl)="cCountry=$event"
                                    (takeIsChanged)="country_changed=$event"></dwfe-form-control-select>

          <dwfe-form-control-toggle class="nevis-account__group-vis-checker"
                                    [hintTrue]="app.i18n('hint_true', i18n)"
                                    [hintFalse]="app.i18n('hint_false', i18n)"
                                    [markIfChanged]="true"
                                    [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                                    [saveEdit$]="subjSaveEdit_Info.asObservable()"
                                    (takeControl)="tCountry=$event"
                                    (takeIsChanged)="countryNonPublic_changed=$event"></dwfe-form-control-toggle>
        </div>

        <div class="nevis-account__group">
          <dwfe-form-control-input-text class="nevis-account__group-control"
                                        [labelText]="app.i18n('city', i18n)"
                                        [markIfChanged]="true"
                                        [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                                        [saveEdit$]="subjSaveEdit_Info.asObservable()"
                                        (takeControl)="cCity=$event"
                                        (takeIsChanged)="city_changed=$event"></dwfe-form-control-input-text>

          <dwfe-form-control-toggle class="nevis-account__group-vis-checker"
                                    [hintTrue]="app.i18n('hint_true', i18n)"
                                    [hintFalse]="app.i18n('hint_false', i18n)"
                                    [markIfChanged]="true"
                                    [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                                    [saveEdit$]="subjSaveEdit_Info.asObservable()"
                                    (takeControl)="tCity=$event"
                                    (takeIsChanged)="cityNonPublic_changed=$event"></dwfe-form-control-toggle>
        </div>

        <div class="nevis-account__group">
          <dwfe-form-control-input-text class="nevis-account__group-control"
                                        [labelText]="app.i18n('company', i18n)"
                                        [markIfChanged]="true"
                                        [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                                        [saveEdit$]="subjSaveEdit_Info.asObservable()"
                                        (takeControl)="cCompany=$event"
                                        (takeIsChanged)="company_changed=$event"></dwfe-form-control-input-text>

          <dwfe-form-control-toggle class="nevis-account__group-vis-checker"
                                    [hintTrue]="app.i18n('hint_true', i18n)"
                                    [hintFalse]="app.i18n('hint_false', i18n)"
                                    [markIfChanged]="true"
                                    [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                                    [saveEdit$]="subjSaveEdit_Info.asObservable()"
                                    (takeControl)="tCompany=$event"
                                    (takeIsChanged)="companyNonPublic_changed=$event"></dwfe-form-control-toggle>
        </div>

        <div class="nevis-account__group">
          <dwfe-form-control-input-text class="nevis-account__group-control"
                                        [labelText]="app.i18n('position_held', i18n)"
                                        [markIfChanged]="true"
                                        [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                                        [saveEdit$]="subjSaveEdit_Info.asObservable()"
                                        (takeControl)="cPositionHeld=$event"
                                        (takeIsChanged)="positionHeld_changed=$event"></dwfe-form-control-input-text>

          <dwfe-form-control-toggle class="nevis-account__group-vis-checker"
                                    [hintTrue]="app.i18n('hint_true', i18n)"
                                    [hintFalse]="app.i18n('hint_false', i18n)"
                                    [markIfChanged]="true"
                                    [cancelEdit$]="subjCancelEdit_Info.asObservable()"
                                    [saveEdit$]="subjSaveEdit_Info.asObservable()"
                                    (takeControl)="tPositionHeld=$event"
                                    (takeIsChanged)="positionHeldNonPublic_changed=$event"></dwfe-form-control-toggle>
        </div>

      </div>

      <dwfe-overlay *ngIf="activeExchangeUnitNumber===1 && isLocked"></dwfe-overlay>

    </div>

    <dwfe-action-ok-cancel class="nevis-account__action"
                           [errorMessage]="errorMessage"
                           [successMessage]="successMessage"
                           [showErrorMessage]="activeExchangeUnitNumber===1 && errorMessage !== ''"
                           [showSuccessMessage]="activeExchangeUnitNumber===1 && successMessage !== ''"
                           [isDisabled]="!isInfoChanged || isLocked"
                           (takeCancel)="performCancelEdit()"
                           (takeOk)="performUpdateAccountPersonal()"></dwfe-action-ok-cancel>
  </section>

  <mat-divider></mat-divider>

  <section class="nevis-account__single-form  dwfe-form" spellcheck="false">
    <h2 id="nick_name_change">{{app.i18n('title_change', i18n)}}</h2>

    <dwfe-form-control-input-text [labelText]="app.i18n('new_nickname', i18n)"
                                  [markIfChanged]="true"
                                  [saveEdit$]="subjSaveEdit_Change.asObservable()"
                                  (takeControl)="cNewNickName=$event"
                                  (takeIsChanged)="newNickName_changed=$event"></dwfe-form-control-input-text>

    <dwfe-form-control-input-password class="nevis-account__element-indent"
                                      [labelText]="app.i18n('current_password', i18n)"
                                      [disableValidators]="true"
                                      (takeControl)="cCurrentPassword=$event"></dwfe-form-control-input-password>

    <dwfe-action-ok class="nevis-account__action"
                    [errorMessage]="errorMessage"
                    [successMessage]="successMessage"
                    [showErrorMessage]="activeExchangeUnitNumber===2 && errorMessage !== ''"
                    [showSuccessMessage]="activeExchangeUnitNumber===2 && successMessage !== ''"
                    [isDisabled]="!(newNickName_changed && cCurrentPassword && cCurrentPassword.value && cCurrentPassword.value!='') || isLocked"
                    (takeClick)="performChangeNickName()"></dwfe-action-ok>

    <dwfe-overlay *ngIf="activeExchangeUnitNumber===2 && isLocked"></dwfe-overlay>

  </section>

  <mat-divider></mat-divider>

  <section>
    <h2 id="account_personal_other">{{app.i18n('other', i18n)}}</h2>

    <div class="nevis-account-personal__access-wrap">

      <dwfe-form-control-input-text class="nevis-account__group-control  nevis-account-personal__access-wrap-item"
                                    [labelText]="'id'"
                                    (takeControl)="cId=$event"></dwfe-form-control-input-text>

      <dwfe-form-control-input-text class="nevis-account__group-control  nevis-account-personal__access-wrap-item"
                                    [labelText]="app.i18n('created_on', i18n)"
                                    (takeControl)="cCreatedOn=$event"></dwfe-form-control-input-text>
    </div>

    <p class="nevis-account-personal__public">
      <a href="/n/id/{{nevisService.auth.id}}"
         class="dwfe-common-link"
         target="_blank">{{app.i18n('public_page', i18n)}}</a>
    </p>

  </section>

</section>
